diff --git a/Reconstruction/tauRec/test/test_tau_q221_serial.sh b/Reconstruction/tauRec/test/test_tau_q221_serial.sh
new file mode 100755
index 0000000000000000000000000000000000000000..9280bfca3a1f3690c3352dbcd4c8840ea51dd27a
--- /dev/null
+++ b/Reconstruction/tauRec/test/test_tau_q221_serial.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+#
+# art-description: q221 reconstruction ART on MC in serial mode
+# art-type: grid
+# art-include: master/Athena
+# art-output: myAOD.pool.root
+# art-output: NTUP_PHYSVAL.root
+# art-output: rootcomp.root
+# art-output: *.log
+# art-output: *.ps
+# art-output: dcube
+# art-html: dcube
+
+NEVENTS=500
+REF_DIR="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/tauRec/reference/q221"
+
+# run the reconstruction
+Reco_tf.py --maxEvents ${NEVENTS} --AMI q221
+echo "art-result: $? Reconstrution"
+
+# compare the AOD file
+art.py compare ref --entries 200 --mode semi-detailed --order-trees --diff-root myAOD.pool.root ${REF_DIR}/myAOD.pool.root >> AOD_diff_root.log 2>&1
+echo "art-result: $? diff-root"
+
+# run the physics validation
+Reco_tf.py --maxEvents ${NEVENTS} --validationFlags 'noExample,doTau' --inputAODFile myAOD.pool.root  --outputNTUP_PHYSVALFile NTUP_PHYSVAL.root
+echo "art-result: $? PhysVal"
+
+# compare the histograms
+rootcomp.py NTUP_PHYSVAL.root ${REF_DIR}/NTUP_PHYSVAL.root >> rootcomp.log 2>&1
+echo "art-result: $? rootcomp"
+
+# run dcube
+INPUT_DIR="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/tauRec/input"
+$ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
+    --plot --output dcube \
+    --config ${INPUT_DIR}/config_mc.xml \
+    --reference ${REF_DIR}/NTUP_PHYSVAL.root \
+    NTUP_PHYSVAL.root
+echo "art-result: $? dcube"
diff --git a/Reconstruction/tauRec/test/test_tau_q431.sh b/Reconstruction/tauRec/test/test_tau_q431_serial.sh
similarity index 79%
rename from Reconstruction/tauRec/test/test_tau_q431.sh
rename to Reconstruction/tauRec/test/test_tau_q431_serial.sh
index 272f65b27e671d41b85c2b8e0104a69d96246b5f..da986bd30c1374a698e0c851065f7d9a845e59d5 100755
--- a/Reconstruction/tauRec/test/test_tau_q431.sh
+++ b/Reconstruction/tauRec/test/test_tau_q431_serial.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# art-description: ART for standalone tau reconstruction
+# art-description: q431 reconstruction ART on data in serail mode
 # art-type: grid
 # art-include: master/Athena
 # art-output: myAOD.pool.root
@@ -15,7 +15,7 @@ NEVENTS=500
 REF_DIR="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/tauRec/reference/q431"
 
 # run the reconstruction
-Reco_tf.py --maxEvents=${NEVENTS} --AMI=q431
+Reco_tf.py --maxEvents ${NEVENTS} --AMI=q431
 echo "art-result: $? Reconstrution"
 
 # compare the AOD file
@@ -23,7 +23,7 @@ art.py compare ref --entries 200 --mode=semi-detailed --order-trees --diff-root
 echo "art-result: $? diff-root"
 
 # run the physics validation
-Reco_tf.py --maxEvents=${NEVENTS} --validationFlags 'noExample,doTau' --inputAODFile=myAOD.pool.root  --outputNTUP_PHYSVALFile=NTUP_PHYSVAL.root
+Reco_tf.py --maxEvents ${NEVENTS} --validationFlags 'noExample,doTau' --inputAODFile=myAOD.pool.root  --outputNTUP_PHYSVALFile NTUP_PHYSVAL.root
 echo "art-result: $? PhysVal"
 
 # compare the histograms
@@ -34,7 +34,7 @@ echo "art-result: $? rootcomp"
 INPUT_DIR="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/tauRec/input"
 $ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
     --plot --output dcube \
-    --config ${INPUT_DIR}/config.xml \
+    --config ${INPUT_DIR}/config_data.xml \
     --reference ${REF_DIR}/NTUP_PHYSVAL.root \
     NTUP_PHYSVAL.root
 echo "art-result: $? dcube"
diff --git a/Reconstruction/tauRec/test/test_tau_standalone_multithread.sh b/Reconstruction/tauRec/test/test_tau_standalone_multithread.sh
new file mode 100755
index 0000000000000000000000000000000000000000..bdbdb141cffbd4eacac849d2cdf9f6e02396a5b9
--- /dev/null
+++ b/Reconstruction/tauRec/test/test_tau_standalone_multithread.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# art-description: standalone tau reconstruction ART on MC in multithread mode
+# art-type: grid
+# art-athena-mt: 8
+# art-include: master/Athena
+# art-output: *.root
+# art-output: *.log
+# art-output: *.ps
+# art-output: dcube
+# art-html: dcube
+
+NEVENTS=1000
+REF_DIR="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/tauRec/reference/standalone"
+
+# run the reconstruction
+athena.py --threads 4 --evtMax ${NEVENTS}  tauRec/tau_standalone_ESDtoAOD.py >> tau_standalone.log 2>&1
+echo "art-result: $? Reconstrution"
+
+# compare the AOD file
+art.py compare ref --entries ${NEVENTS} --mode semi-detailed --order-trees --diff-root AOD.pool.root ${REF_DIR}/AOD.pool.root >> AOD_diff_root.log 2>&1
+echo "art-result: $? diff-root"
+
+# run the physics validation
+Reco_tf.py --maxEvents ${NEVENTS} --validationFlags 'noExample,doTau' --inputAODFile AOD.pool.root  --outputNTUP_PHYSVALFile NTUP_PHYSVAL.root
+echo "art-result: $? PhysVal"
+
+# compare the histograms
+rootcomp.py NTUP_PHYSVAL.root ${REF_DIR}/NTUP_PHYSVAL.root >> rootcomp.log 2>&1
+echo "art-result: $? rootcomp"
+
+# run dcube
+INPUT_DIR="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/tauRec/input"
+$ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
+    --plot --output dcube \
+    --config ${INPUT_DIR}/config_mc.xml \
+    --reference ${REF_DIR}/NTUP_PHYSVAL.root \
+    NTUP_PHYSVAL.root
+echo "art-result: $? dcube"
diff --git a/Reconstruction/tauRec/test/test_tau_standalone.sh b/Reconstruction/tauRec/test/test_tau_standalone_serial.sh
similarity index 72%
rename from Reconstruction/tauRec/test/test_tau_standalone.sh
rename to Reconstruction/tauRec/test/test_tau_standalone_serial.sh
index 94247e5c67a7f74e3a2da9f83d6e1f1b8a8d05c8..1dbaf0c82c2f3259c4c97e2bffc9419360fd9711 100755
--- a/Reconstruction/tauRec/test/test_tau_standalone.sh
+++ b/Reconstruction/tauRec/test/test_tau_standalone_serial.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# art-description: ART for standalone tau reconstruction
+# art-description: standalone tau reconstruction on MC in serial mode
 # art-type: grid
 # art-include: master/Athena
 # art-output: *.root
@@ -13,15 +13,15 @@ NEVENTS=1000
 REF_DIR="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/tauRec/reference/standalone"
 
 # run the reconstruction
-athena.py --evtMax=${NEVENTS}  tauRec/tau_standalone_ESDtoAOD.py >> tau_standalone.log 2>&1
+athena.py --evtMax ${NEVENTS}  tauRec/tau_standalone_ESDtoAOD.py >> tau_standalone.log 2>&1
 echo "art-result: $? Reconstrution"
 
 # compare the AOD file
-art.py compare ref --entries ${NEVENTS} --mode=semi-detailed --order-trees --diff-root AOD.pool.root ${REF_DIR}/AOD.pool.root >> AOD_diff_root.log 2>&1
+art.py compare ref --entries ${NEVENTS} --mode semi-detailed --order-trees --diff-root AOD.pool.root ${REF_DIR}/AOD.pool.root >> AOD_diff_root.log 2>&1
 echo "art-result: $? diff-root"
 
 # run the physics validation
-Reco_tf.py --maxEvents=${NEVENTS} --validationFlags 'noExample,doTau' --inputAODFile=AOD.pool.root  --outputNTUP_PHYSVALFile=NTUP_PHYSVAL.root
+Reco_tf.py --maxEvents ${NEVENTS} --validationFlags 'noExample,doTau' --inputAODFile AOD.pool.root  --outputNTUP_PHYSVALFile NTUP_PHYSVAL.root
 echo "art-result: $? PhysVal"
 
 # compare the histograms
@@ -32,7 +32,7 @@ echo "art-result: $? rootcomp"
 INPUT_DIR="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/tauRec/input"
 $ATLAS_LOCAL_ROOT/dcube/current/DCubeClient/python/dcube.py \
     --plot --output dcube \
-    --config ${INPUT_DIR}/config.xml \
+    --config ${INPUT_DIR}/config_mc.xml \
     --reference ${REF_DIR}/NTUP_PHYSVAL.root \
     NTUP_PHYSVAL.root
 echo "art-result: $? dcube"